Loading...
Searching...
No Matches
Magick::adaptiveThresholdImage Class Reference

## Public Member Functions

| adaptiveThresholdImage (const size_t width_, const size_t height_, const ::ssize_t offset_=0)
void | operator() (Image &image_) const

## Private Attributes

size_t | _width
size_t | _height
::ssize_t | _offset

## Detailed Description

Definition at line 65 of file STL.h.

## Constructor & Destructor Documentation

## adaptiveThresholdImage()

Magick::adaptiveThresholdImage::adaptiveThresholdImage | ( | const size_t | width_,
|  | const size_t | height_,
|  | const ::ssize_t | offset_ = 0 )

Definition at line 31 of file STL.cpp.

: _width(width_),
_height(height_),
_offset(offset_)
{
}

## Member Function Documentation

## operator()()

void Magick::adaptiveThresholdImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 39 of file STL.cpp.

{
image_.adaptiveThreshold( _width, _height, (double) _offset );
}

## Field Documentation

## _height

size_t Magick::adaptiveThresholdImage::_height

private

Definition at line 76 of file STL.h.

## _offset

::ssize_t Magick::adaptiveThresholdImage::_offset

private

Definition at line 77 of file STL.h.

## _width

size_t Magick::adaptiveThresholdImage::_width

private

Definition at line 75 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp